#
# spec file for package rubygem-clearance
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-clearance
Version:        1.16.2
Release:        1.1
%define mod_name clearance
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/thoughtbot/clearance
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rails authentication & authorization with email & password
License:        MIT
Group:          Development/Languages/Ruby

%description
Rails authentication & authorization with email & password.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE NEWS.md README.md" \
  -f

%gem_packages

%changelog
* Sat Mar  2 2019 coolo@suse.com
- updated to version 1.16.2
  see installed NEWS.md
  [#]# [1.16.2] - February 25, 2019
  [#]## Fixed
  - Added missing translation keys
  - Fix issue where a cookie value could be set more than once when interacting
    with the `httponly` option
  [#]## Changed
  - Remove Rails as a dependency so that clearance does not trigger a cascade of
    requirements as rails pulls in every framework. Instead, depend on just the
    frameworks relevant to Clearance.
  - Prevent `Clearance::BackDoor` from being used outside the "test" environment.
  [1.16.2]: https://github.com/thoughtbot/clearance/compare/v1.16.1...v1.16.2
* Sun Dec  3 2017 coolo@suse.com
- updated to version 1.16.1
  see installed NEWS.md
  [#]# [1.16.1] - November 2, 2017
  [#]## Fixed
  - Fixed issue where tokens from abandoned password reset attempts were stored in
    the session, preventing newly generated password reset tokens from working.
  - Improve compatibility with Rails API projects by calling `helper_method` only
    when it is defined.
  - URL fragment in server-set `session[:return_to]` values are preserved when
    redirecting to the stored value.
  - Eliminated deprecation in Clearance test helpers that were related to the
    renaming of FactoryGirl to FactoryBot.
  [1.16.1]: https://github.com/thoughtbot/clearance/compare/v1.16.0...v1.16.1
* Tue Jan 17 2017 coolo@suse.com
- updated to version 1.16.0
  see installed NEWS.md
  [#]# [1.16.0] - January 16, 2017
  [#]## Security
  - Clearance users can now help prevent [session fixation attacks] by setting
    `Clearance.configuration.rotate_csrf_on_sign_in` to `true`. This will cause
    the user's CSRF token to be rotated on sign in and is recommended for all
    Clearance applications. This setting will default to `true` in Clearance 2.0.
    Clearance will emit a warning on each sign in until this configuration setting
    is explicitly set to `true` or `false`.
  [session fixation attacks]: https://www.owasp.org/index.php/Session_fixation
  [1.16.0]: https://github.com/thoughtbot/clearance/compare/v1.15.1...v1.16.0
* Sat Oct  8 2016 coolo@suse.com
- updated to version 1.15.1
  see installed NEWS.md
  [#]# [1.15.1] - October 6, 2016
  [#]## Fixed
  - Password reset form redirect no longer uses a named route helper, which means
    it will work for developers that have customized their routes.
  [1.15.1]: https://github.com/thoughtbot/clearance/compare/v1.15.0...v1.15.1
* Tue Sep 27 2016 coolo@suse.com
- updated to version 1.15.0
  see installed NEWS.md
  [#]# [1.15.0] - September 26, 2016
  [#]## Security
  - Prevent possible password reset token leak to external sites linked to on the
    password reset page. See [PR #707] for more information.
  [PR #707]: https://github.com/thoughtbot/clearance/pull/707
  [1.15.0]: https://github.com/thoughtbot/clearance/compare/v1.14.2...v1.15.0
* Thu Aug 11 2016 coolo@suse.com
- updated to version 1.14.2
  see installed NEWS.md
  [#]# [1.14.2] - August 10, 2016
  [#]## Fixed
  - Fixed incompatibility with `attr_encrypted` gem by inlining the body of the
    `encrypt` helper method used in the BCrypt password strategy.
  [1.14.2]: https://github.com/thoughtbot/clearance/compare/v1.14.1...v1.14.2
* Sat May 21 2016 coolo@suse.com
- updated to version 1.14.1
  see installed NEWS.md
  [#]# [1.14.1] - May 12, 2016
  [#]## Fixed
  - Fixed insertion of `include Clearance::User` when running the install
    generator in an app that already has a `User` model.
  - Updated `deny_access` matcher to assert against configured redirect location
    rather than hard coded `/`.
  [1.14.1]: https://github.com/thoughtbot/clearance/compare/v1.14.0...v1.14.1
* Sat Apr 30 2016 coolo@suse.com
- updated to version 1.14.0
  see installed NEWS.md
  [#]# [1.14.0] - April 29, 2016
  [#]## Added
  - `Clearance::BackDoor` now accepts a block, allowing the user for a test to be
    looked up by a parameter other than `id` if you have overridden `to_param` for
    the `User` model.
  [#]## Fixed
  - We now correctly track the dirty state of `User#encrypted_password`, which
    fixes custom validations on `User#password` (e.g. validating password length)
    that were conditional on the password actually changing.
  - The `clearance:install` generator will now generate a `User` model that
    inherits from `ApplicationRecord` if run on a Rails 5 app that doesn't already
    have a `User` model.
  [#]## Deprecated
  - `User#password_changing` is deprecated in favor of automatic dirty tracking on
    `encrypted_password` and `password`. If you are calling this in your
    application you should be able to remove it.
  [1.14.0]: https://github.com/thoughtbot/clearance/compare/v1.13.0...v1.14.0
* Sun Mar  6 2016 coolo@suse.com
- updated to version 1.13.0
  see installed NEWS.md
  [#]# [1.13.0] - March 4, 2016
  [#]## Added
  - Clearance now supports Rails 5.0.0.beta3 and newer.
  [#]## Fixed
  - Clearance will now infer the parameter name to use when accessing user
    parameters in a request. This previously used `:user`, which was incorrect for
    customized user models.
  - Generated feature specs no longer rely on RSpec monkey patches.
  [1.13.0]: https://github.com/thoughtbot/clearance/compare/v1.12.1...v1.13.0
* Thu Jan 21 2016 coolo@suse.com
- updated to version 1.12.1
  see installed NEWS.md
  [#]# [1.12.1] - January 7, 2016
  [#]## Fixed
  - Fixed the `create_users` migration generated by `rails generate
    clearance:install` under Rails 3.x.
* Wed Nov 18 2015 coolo@suse.com
- updated to version 1.12.0
  see installed NEWS.md
  [#]# [1.12.0] - November 17, 2015
  [#]## Added
  - Users will now see a flash message when redirected to sign in by
    `require_login`. This I18n key for this message is
    `flashes.failure_when_not_signed_in` and defaults to "Please sign in to
    continue".
  - Added significant API documentation. API documentation effort is ongoing.
  [#]## Fixed
  - Fixed expectation in the generated `visitor_resets_password_spec.rb` file.
  - Corrected indentation of routes inserted by the routes generator.
  - Corrected indentation of `include Clearance::User` when the install generator
    adds it to an existing user class.
  [1.12.0]: https://github.com/thoughtbot/clearance/compare/v1.11.0...v1.12.0
* Sat Aug 22 2015 coolo@suse.com
- updated to version 1.11.0
  see installed NEWS.md
* Sat May 16 2015 coolo@suse.com
- updated to version 1.10.1
  see installed NEWS.md
  [#]# [1.10.1] - May 15, 2015
  [#]## Deprecated
  - All clearance-provided password strategies other than BCrypt have been
    deprecated. You can continue to use those strategies without a deprecation
    warning by adding `clearance-deprecated_password_strategies` to your Gemfile.
  [1.10.1]: https://github.com/thoughtbot/clearance/compare/v1.9.0...v1.10.1
* Sun Apr  5 2015 coolo@suse.com
- updated to version 1.9.0
* Wed Mar  4 2015 coolo@suse.com
- updated to version 1.8.1
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.8.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Jul 21 2014 coolo@suse.com
- updated to version 1.4.0
  * The sign out link in the default application layout has been replaced with a
  semantically correct sign out button. This also removes an unnecessary
  JavaScript dependency.
  * Clearance now uses `original_fullpath` when redirecting to a saved URL after
  login. This should improve the behavior in mounted engines.
  * `user_params` method was added to `Clearance::UsersController` which provides
  a convenient place to override the parameters used when creating users.
  * Controllers now inherit from `Clearance::BaseController` to allow for easily
  adding behavior to all of them.
* Sat Mar 15 2014 coolo@suse.com
- updated to version 1.3.0
  * Installing Clearance with an existing User model will now create a migration
  that includes adding remember tokens to all existing user records.
  New for 1.2.1 (March 6, 2014):
  * Query string is now included in the redirect URL when Clearance redirects to a
  previously stored URL.
  New for 1.2.0 (February 28, 2014):
  * Support for Rails 4.1.0.rc1
  * `clearance/testing` is now deprecated. Require `clearance/rspec` or
  `clearance/test_unit` as appropriate.
  * Sign in failure message is now customized exclusively via I18n.
  `SessionsController#flash_failure_after_create` is no longer called. To
  customize the message, change the
  `clearance.controllers.sessions.bad_email_or_password` or
  `flashes.failure_after_create` key.
  * Sign in can now be disabled with `config.allow_sign_in = false`
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.1.0
  * Validate email with `EmailValidator` [strict mode][strict].
  * The `cookie_expiration` configuration lambda can now be called with  a
  `cookies` parameter. allows the Clearance cookie expiration to be set
  according to the value of another cookie (such as `remember_me`).
  * A `cookie_expiration` lambda that does not accept this `cookies`
  parameter has been deprecated.
  * Allow cookie domain and path configuration.
  * Add sign in guards.
  * Don't allow logins with blank `remember_token`.
  [strict]: https://github.com/balexand/email_validator#strict-mode
* Fri Aug 30 2013 coolo@suse.com
- updated to version 1.0.1
  * Fix an issue when trying to sign in with `nil`
* Tue Aug  6 2013 coolo@suse.com
- updated to version 1.0.0
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.16.3
* Thu Sep 23 2010 fcastelli@novell.com
- fixed a packaging error: one of test files was looking for ruby
  under mac ports path. That caused an unsolved dependency.
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 0.8.8
  * Fixed sign_in and sign_out not setting current_user (Joe Ferris)
- additional changes from version 0.8.7 (02/21/2010)
  * [#43] Fixed global sign out bug. (Ryan McGreary)
  * [#69] Allow Rails apps to before_filter :authenticate the
    entire app in ApplicationController and still have password
    recovery work without overriding any controllers.
    (Claudio Poli, Dan Croak)
  * [#72] #[21] Rails3 fix for ActionController/ActionDispatch
    change.  (Joseph Holsten, Peter Haza, Dan Croak)
- additional changes from version 0.8.6 (02/17/2010)
  * Clearance features capitalization should match view text
    (Bobby Wilson)
  * [#39] skip :authenticate before_filter in controllers so apps
    can easily authenticate a whole site without subclassing
    (Matthew Ford)
  * [#45] Added randomness to token and salt generation
    (Ryan McGeary)
  * [#43] Reset the remember_token on sign out instead of sign in.
    Allows for the same user to sign in from two locations at once.
    (Ryan McGeary)
  * [#62] Append the version number to generated update migrations
    (Joe Ferris)
  * Allow overridden user models to skip email/password validations
    conditionally. This makes username/facebook integration easier.
    (Joe Ferris)
- additional changes from version 0.8.5 (01/20/2010)
  * replaced routing hack with Clearance::Routes.draw(map) to give
    more control to the application developer. (Dan Croak)
  * removed attr_accessible from Clearance::User. (Dan Croak)
  * fixed bug in password reset feature. (Ben Orenstein, Dan Croak)
  * use Jeweler for gemming. (Dan Croak)
  * remove dependency on root_path, use '/' instead. (Dan Croak)
  * use Clearance.configure block to set mailer sender instead of
  DO_NOT_REPLY constant. (Dan Croak)
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Dec 21 2009 prusnak@suse.cz
- created package
